Skip to main content
POST
/
cash
/
authorization
Cash Authorization for an upcoming transfer
curl --request POST \
  --url https://api-sandbox.synctera.com/v0/cash/authorization \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": 10000,
  "destination_account_id": "fccb4a46-1261-4e91-b622-73b5b946183d",
  "order_date": "2023-12-25"
}
'
import requests

url = "https://api-sandbox.synctera.com/v0/cash/authorization"

payload = {
"amount": 10000,
"destination_account_id": "fccb4a46-1261-4e91-b622-73b5b946183d",
"order_date": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 10000,
destination_account_id: 'fccb4a46-1261-4e91-b622-73b5b946183d',
order_date: '2023-12-25'
})
};

fetch('https://api-sandbox.synctera.com/v0/cash/authorization', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "amount": 10000,
  "destination_account_id": "fccb4a46-1261-4e91-b622-73b5b946183d",
  "order_date": "2023-12-25",
  "account_number": "<string>",
  "client_name": "Cash-Based Brick and Mortar Store",
  "hold_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "originating_account_id": "b01db9c7-78f2-4a99-8aca-1231d32f9b96",
  "tenant": "abcdef_ghijkl"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Body

application/json

The cash authorization to be created.

Cash Authorization post

amount
integer<int64>
required

Transfer amount in cents

Required range: x >= 1
Example:

10000

authorization_type
enum<string>
required
Available options:
CASH_ORDER,
DEPOSIT
destination_account_id
string<uuid>
required

The UUID of the Synctera account resource that is the destination of the transfer.

Example:

"fccb4a46-1261-4e91-b622-73b5b946183d"

order_date
string<date>
required

The date the cash order was placed with cash distribution provider

Response

Successful creation of an cash order authorization

Cash authorization response

amount
integer<int64>
required

Transfer amount in cents

Required range: x >= 1
Example:

10000

authorization_type
enum<string>
required
Available options:
CASH_ORDER,
DEPOSIT
destination_account_id
string<uuid>
required

The UUID of the Synctera account resource that is the destination of the transfer.

Example:

"fccb4a46-1261-4e91-b622-73b5b946183d"

order_date
string<date>
required

The date the cash order was placed with cash distribution provider

account_number
string
required

The account number of the client business the cash order is for. Known as "Location ID" in the cash order CSV files.

client_name
string
required

The name of the client business the cash order is for.

Example:

"Cash-Based Brick and Mortar Store"

hold_id
string<uuid>
required

ID of the hold created for this authorization

id
string<uuid>
required

ID of the transfer

originating_account_id
string<uuid>
required

The UUID of the Synctera account resource originating the transfer.

Example:

"b01db9c7-78f2-4a99-8aca-1231d32f9b96"

status
enum<string>
required
Available options:
CANCELLED,
COMPLETE,
EXPIRED,
PENDING
tenant
string
required

The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.

Example:

"abcdef_ghijkl"